Uses of Class
masecla.modrinth4j.endpoints.generic.empty.EmptyResponse
Packages that use EmptyResponse
Package
Description
-
Uses of EmptyResponse in masecla.modrinth4j.endpoints.project
Methods in masecla.modrinth4j.endpoints.project that return types with arguments of type EmptyResponseModifier and TypeMethodDescriptionProjectEndpoints.bulkModifyProjects(BulkModifyProjects.BulkModifyProjectsRequest request) This endpoint is used to modify properties about projects in bulk.ProjectEndpoints.changeProjectIcon(String projectId, File file) This endpoint is used to change the icon of a project.ProjectEndpoints.changeProjectIcon(String projectId, InputStream stream, String fileName) This endpoint is used to change the icon of a project.ProjectEndpoints.createGalleryImage(String slug, CreateGalleryImage.CreateGalleryImageRequest request) This endpoint is used to create a gallery image for a project.This endpoint is used to delete a project by its ID.ProjectEndpoints.deleteGalleryImage(String slug, String imageUrl) This endpoint is used to delete a gallery image for a project.ProjectEndpoints.deleteProjectIcon(String projectId) This endpoint is used to delete a project icon.ProjectEndpoints.followProject(String slug) This endpoint is used to follow a project.com.google.gson.reflect.TypeToken<EmptyResponse> BulkModifyProjects.getResponseClass()Returns the response class.com.google.gson.reflect.TypeToken<EmptyResponse> ChangeProjectIcon.getResponseClass()Returns the response class.com.google.gson.reflect.TypeToken<EmptyResponse> DeleteProject.getResponseClass()Returns the response class.com.google.gson.reflect.TypeToken<EmptyResponse> DeleteProjectIcon.getResponseClass()com.google.gson.reflect.TypeToken<EmptyResponse> ScheduleProject.getResponseClass()Returns the response class.ProjectEndpoints.modifyGalleryImage(String slug, ModifyGalleryImage.ModifyGalleryImageRequest request) This endpoint is used to modify a gallery image for a project.ProjectEndpoints.scheduleProject(String projectId, ScheduleProject.ScheduleProjectRequest request) This endpoint is used to schedule a project.ChangeProjectIcon.sendRequest(ChangeProjectIcon.ChangeProjectIconRequest request, Map<String, String> urlParams) Sends the request.ProjectEndpoints.unfollowProject(String slug) This endpoint is used to unfollow a project. -
Uses of EmptyResponse in masecla.modrinth4j.endpoints.project.follow
Methods in masecla.modrinth4j.endpoints.project.follow that return types with arguments of type EmptyResponseModifier and TypeMethodDescriptioncom.google.gson.reflect.TypeToken<EmptyResponse> FollowProject.getResponseClass()Returns the response class.com.google.gson.reflect.TypeToken<EmptyResponse> UnfollowProject.getResponseClass()Returns the response class. -
Uses of EmptyResponse in masecla.modrinth4j.endpoints.project.gallery
Methods in masecla.modrinth4j.endpoints.project.gallery that return types with arguments of type EmptyResponseModifier and TypeMethodDescriptioncom.google.gson.reflect.TypeToken<EmptyResponse> CreateGalleryImage.getResponseClass()Returns the class of the response.com.google.gson.reflect.TypeToken<EmptyResponse> DeleteGalleryImage.getResponseClass()Returns the response class.com.google.gson.reflect.TypeToken<EmptyResponse> ModifyGalleryImage.getResponseClass()Returns the response class.CreateGalleryImage.sendRequest(CreateGalleryImage.CreateGalleryImageRequest parameters, Map<String, String> urlParams) Gets the type token of the response. -
Uses of EmptyResponse in masecla.modrinth4j.endpoints.teams
Methods in masecla.modrinth4j.endpoints.teams that return types with arguments of type EmptyResponseModifier and TypeMethodDescriptionTeamsEndpoints.addMemberToTeam(String teamId, String userId) This endpoint is used to add a member to a team.com.google.gson.reflect.TypeToken<EmptyResponse> AddMemberToTeam.getResponseClass()Returns the response class.com.google.gson.reflect.TypeToken<EmptyResponse> JoinTeam.getResponseClass()Returns the response class.com.google.gson.reflect.TypeToken<EmptyResponse> ModifyTeamMemberInfo.getResponseClass()Returns the response class.com.google.gson.reflect.TypeToken<EmptyResponse> RemoveMemberFromTeam.getResponseClass()Returns the response class.com.google.gson.reflect.TypeToken<EmptyResponse> TransferOwnership.getResponseClass()Returns the response class.This endpoint is used to join a team.TeamsEndpoints.modifyTeamMemberInfo(String teamId, String memberId, ModifyTeamMemberInfo.ModifyTeamMemberInfoRequest request) This endpoint is used to modify a team member's information.TeamsEndpoints.removeMemberFromTeam(String teamId, String memberId) This endpoint is used to remove a member from a team.TeamsEndpoints.transferOwnership(String teamId, String newOwnerId) This endpoint is used to transfer ownership of a team to another user. -
Uses of EmptyResponse in masecla.modrinth4j.endpoints.user
Methods in masecla.modrinth4j.endpoints.user that return types with arguments of type EmptyResponseModifier and TypeMethodDescriptionUserEndpoints.changeProfilePicture(String id, File file) Modifies the profile picture of a user by their IDUserEndpoints.changeProfilePicture(String id, InputStream stream, String filename) Modifies the profile picture of a user by their IDUserEndpoints.deleteUser(String id) Deletes a user by their IDcom.google.gson.reflect.TypeToken<EmptyResponse> ChangeUserIcon.getResponseClass()Returns the response class.com.google.gson.reflect.TypeToken<EmptyResponse> DeleteUser.getResponseClass()Returns the response class.com.google.gson.reflect.TypeToken<EmptyResponse> ModifyUser.getResponseClass()Returns the response class.UserEndpoints.modifyUser(String id, ModifyUser.ModifyUserRequest request) Modifies a user by their IDChangeUserIcon.sendRequest(ChangeUserIcon.ChangeUserIconRequest request, Map<String, String> urlParams) Sends the request. -
Uses of EmptyResponse in masecla.modrinth4j.endpoints.version
Methods in masecla.modrinth4j.endpoints.version that return types with arguments of type EmptyResponseModifier and TypeMethodDescriptionVersionEndpoints.addFilesToVersion(String versionId, List<File> files) Add files to versionVersionEndpoints.addFilesToVersion(String versionId, Map<String, InputStream> files) Add files to a version.VersionEndpoints.deleteProjectVersion(String versionId) Deletes a version based on the version idcom.google.gson.reflect.TypeToken<EmptyResponse> AddFilesToVersion.getResponseClass()Returns the response class.com.google.gson.reflect.TypeToken<EmptyResponse> DeleteVersion.getResponseClass()Returns the response class.com.google.gson.reflect.TypeToken<EmptyResponse> ScheduleVersion.getResponseClass()Returns the response class to use.VersionEndpoints.scheduleVersion(String versionId, ScheduleVersion.ScheduleVersionRequest request) Schedules a version.AddFilesToVersion.sendRequest(Map<String, InputStream> request, Map<String, String> urlParams) Sends the request. -
Uses of EmptyResponse in masecla.modrinth4j.endpoints.version.files
Methods in masecla.modrinth4j.endpoints.version.files that return types with arguments of type EmptyResponseModifier and TypeMethodDescriptionVersionFilesEndpoints.deleteFileByHash(FileHash algorithm, String hash) This endpoint is used to delete a file from a project version.com.google.gson.reflect.TypeToken<EmptyResponse> DeleteFileByHash.getResponseClass()Returns the response class.